import React from 'react';

// 单项
var Item = function Item(_ref) {
  var onAdd = _ref.onAdd,
    onDelete = _ref.onDelete,
    sortable = _ref.sortable,
    children = _ref.children;
  return /*#__PURE__*/React.createElement("div", {
    className: "transfer-item"
  }, /*#__PURE__*/React.createElement("div", {
    className: "transfer-item-operate",
    onClick: onAdd || onDelete
  }, onAdd ? /*#__PURE__*/React.createElement("i", {
    className: "transfer-item-operate-icon add"
  }) : /*#__PURE__*/React.createElement("i", {
    className: "transfer-item-operate-icon delete"
  })), /*#__PURE__*/React.createElement("div", {
    className: "transfer-item-content"
  }, children), sortable && /*#__PURE__*/React.createElement("div", {
    className: "transfer-item-drop"
  }, /*#__PURE__*/React.createElement("i", {
    className: "transfer-item-drop-icon"
  })));
};
export default Item;